//
//  CloudDataModel.h
//  MicroLifeDeviceSDK
//
//  Created by willy.wu on 2022/5/24.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <objc/runtime.h>

NS_ASSUME_NONNULL_BEGIN

@interface CloudDataModel : NSObject

@property (nonatomic, strong) NSMutableDictionary *value;

@property (nonatomic, assign) BOOL errorAnalyze;

@property (nonatomic, strong) NSString *errorMessage;

+ (instancetype)shareWihtData:(NSData *)data Error:(NSError *)error;

#pragma Dictionary object conversion
/// Dictionary to model.
/// @param value Dictionary (NSDictionary) or json format character.
+ (instancetype)parseObjectWithKeyValues:(id)value;
+ (NSArray* _Nonnull)parseObjectArrayWithKeyValuesArray:(NSArray* const _Nonnull)array;

/// to Dictionary.
- (NSMutableDictionary *)parseDictionary;

//Get the type of a model object in an array
- (NSDictionary *)gainClassTypes;
@end

NS_ASSUME_NONNULL_END
