//
//  MicroLifeBSMeasureData.h
//  MicroLifeDeviceSDK
//
//  Created by 吳憲有 on 2023/2/13.
//

#import <MicroLifeDeviceSDK/MicroLifeDeviceSDK.h>

NS_ASSUME_NONNULL_BEGIN

@interface MicroLifeBSMeasureData : MicroLifeDataModel


@property (nonatomic, strong) NSNumber *SN;

@property (nonatomic, strong) NSNumber *year;
@property (nonatomic, strong) NSNumber *month;
@property (nonatomic, strong) NSNumber *day;

@property (nonatomic, strong) NSNumber *hour;
@property (nonatomic, strong) NSNumber *minute;
@property (nonatomic, strong) NSNumber *second;

@property (nonatomic, strong) NSNumber *Code;
@property (nonatomic, strong) NSDictionary *supportInfo;

@property (nonatomic, strong) NSNumber *Concentration;
@property (nonatomic, strong) NSNumber *Signal;
@property (nonatomic, strong) NSNumber *Temperature;
@property (nonatomic, strong) NSNumber *AutoCode;
@property (nonatomic, strong) NSNumber *Z;
@property (nonatomic, strong) NSNumber *HCT;

@property (nonatomic, strong) NSNumber *Flags;
@property (nonatomic, assign) SpecimenType specimenType;
@property (nonatomic, assign) MealStatus mealStatus;

@end

NS_ASSUME_NONNULL_END
