//
//  MicroLifeECGData.h
//  MicroLifeDeviceSDK
//
//  Created by willy.wu on 2021/8/24.
//

#import <MicroLifeDeviceSDK/MicroLifeDeviceSDK.h>

NS_ASSUME_NONNULL_BEGIN

@interface MicroLifeECGData : MicroLifeDataModel

/// ECG
@property (nonatomic, strong) NSNumber *ECG;

/// ECG ROW Data
@property (nonatomic, strong) NSNumber *ECGr;

/// ETAG
@property (nonatomic, strong) NSNumber *ETAG;

/// PTAG
@property (nonatomic, strong) NSNumber *PTAG;

@end

NS_ASSUME_NONNULL_END
