//
//  MicroLifeECGFunctionSettingValues.h
//  MicroLifeDeviceSDK
//
//  Created by willy.wu on 2022/7/25.
//

#import <MicroLifeDeviceSDK/MicroLifeDeviceSDK.h>

NS_ASSUME_NONNULL_BEGIN

@interface MicroLifeECGFunctionSettingValues : MicroLifeDataModel

/**
 Func_Set1
 */
@property (nonatomic, strong) NSNumber *FuncSet1;

/**
 Func_Set2
*/
@property (nonatomic, strong) NSNumber *FuncSet2;

/**
 Func_Set3
*/
@property (nonatomic, strong) NSNumber *FuncSet3;

/**
 TotalUserNumber
*/
@property (nonatomic, strong) NSNumber *TotalUserNumber;

/**
 MemorySet
*/
@property (nonatomic, strong) NSNumber *MemorySet;

/**
 OldPreDeflateValue
*/
@property (nonatomic, strong) NSNumber *OldPreDeflateValue;

/**
 YEARINIT
*/
@property (nonatomic, strong) NSNumber *YEARINIT;

/**
 Func_Set4
*/
@property (nonatomic, strong) NSNumber *FuncSet4;

/**
 Traffic light level
*/
@property (nonatomic, strong) NSNumber *TrafficLightLevel;

/**
 BT_ModuleName
*/
@property (nonatomic, strong) NSString *BTModuleName;

/**
 Fun_Sel_ValveType
*/
@property (nonatomic, strong) NSNumber *FunSelValveType;

/**
 Used For calibrate ECG voltage , 100= 100% (normal range should : 90~110% )
*/
@property (nonatomic, strong) NSNumber *ECGCalGain;

@end

NS_ASSUME_NONNULL_END
